from common import *

groups = [
    # use icon as group's label - for more icons visit https://fontawesome.com/icons
    Group("1", label="\uf292"),
    # match window class to a group
    Group("2", label="\ue007", matches=[Match(wm_class=["Firefox"])]),
]

keys = [
    # example key binding for running a command
    Key([mod], "f",                     lazy.spawn("firefox")),
    # example keychord
    KeyChord([mod], "Comma", [
        Key([], "f", lazy.spawn("firefox")),
    ])
]

# example input rules for Wayland
wl_input_rules = {
    "type:pointer":  InputConfig(natural_scroll=True),
    "type:touchpad": InputConfig(tap=True,natural_scroll=True),
    "type:keyboard": InputConfig(kb_layout="pl",kb_repeat_delay=280,kb_repeat_rate=30),
}

